'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var jestJsonSchema = require('jest-json-schema');
var shell = _interopDefault(require('shelljs'));
var _ = _interopDefault(require('lodash'));

var global$1 = (typeof global !== "undefined" ? global :
            typeof self !== "undefined" ? self :
            typeof window !== "undefined" ? window : {});

const {
  expect,
  test
} = global$1;

const validate = jsonFiles => {
  _.forEach(Object.keys(jsonFiles), key => {
    try {
      shell.exec(`jsonlint ${jsonFiles[key]}`, {
        silent: true
      });
    } catch (e) {
      console.log(e);
    }
  });
};

const check = jsonFiles => {
  Object.keys(jsonFiles).forEach(key => {
    if (shell.test('-e', jsonFiles[key])) {
      console.log(`File exist ${jsonFiles[key]}`);
    } else {
      console.log(`File doesn't exist ${jsonFiles[key]}`);
    }
  });
};

expect.extend(jestJsonSchema.matchers);

const jsonFileNotEmptyTest = file => {
  describe(`tests for ${file}`, () => {
    it(`${file} data files returns array`, () => {
      expect(file).not.toBe('');
    });
  });
};

const jsonSchemaTest = (file, example, schema) => {
  try {
    describe(`test ${file} json schema`, () => {
      it(`validates ${file} json-schema`, () => {
        expect(example).toMatchSchema(schema);
      });
    });
  } catch (e) {
    console.log(`${e.name}: ${e.message}`);
  }
};

exports.check = check;
exports.jsonFileNotEmptyTest = jsonFileNotEmptyTest;
exports.jsonSchemaTest = jsonSchemaTest;
exports.validate = validate;
